apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-06-19T10:57:14Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
      manager: Mozilla
      operation: Update
      time: '2025-06-19T10:57:14Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-06-19T10:57:14Z'
  name: plan-ova-1
  namespace: mtv-test
  resourceVersion: '3426357'
  uid: 1aee9efd-ca95-4169-bb86-1062949ede83
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: provider-ova-9fnm8
      namespace: mtv-test
      uid: 094a347a-6880-407a-a09e-9f321f84a2db
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: provider-ova-rgc4k
      namespace: mtv-test
      uid: 9fb71901-1be0-4392-8173-7f4d2f4829b1
  migrateSharedDisks: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: mtv-test
      uid: abbe1d0f-a772-4c37-a3ba-5dd9fae0248e
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: provider-ova
      namespace: mtv-test
      uid: a7fd74ea-279a-4681-91fe-2e2570d637fd
  pvcNameTemplateUseGenerateName: true
  skipGuestConversion: false
  targetNamespace: mtv-test
  vms:
    - id: b9fb549b0cec56d7d26051d291cdef438a1e
      luks:
        name: plan-ova-1-fgq58
      name: mtv-func.RHEL8_8 _TE_ST _ _1 _2
  warm: false
status:
  conditions:
    - category: Warn
      items:
        - ' id:b9fb549b0cec56d7d26051d291cdef438a1e name:''mtv-func.RHEL8_8 _TE_ST _ _1 _2'' '
      lastTransitionTime: '2025-06-19T10:57:14Z'
      message: 'Target VM name does not comply with DNS1123 RFC, will be automatically changed.'
      reason: NotValid
      status: 'True'
      type: TargetNameNotValid
    - category: Required
      lastTransitionTime: '2025-06-19T10:57:14Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
  migration: {}
  observedGeneration: 1
